export class RemoveTwitterIntegration1701069578019 {
    name = "RemoveTwitterIntegration1701069578019";
    async up(queryRunner) {
        await queryRunner.query(`ALTER TABLE "meta" DROP COLUMN IF EXISTS "enableTwitterIntegration"`);
        await queryRunner.query(`ALTER TABLE "meta" DROP COLUMN IF EXISTS "twitterConsumerKey"`);
        await queryRunner.query(`ALTER TABLE "meta" DROP COLUMN IF EXISTS "twitterConsumerSecret"`);
    }
    async down(queryRunner) {
        await queryRunner.query(`ALTER TABLE "meta" ADD COLUMN IF NOT EXISTS "enableTwitterIntegration" boolean NOT NULL DEFAULT false`);
        await queryRunner.query(`ALTER TABLE "meta" ADD COLUMN IF NOT EXISTS "twitterConsumerKey" character varying(128)`);
        await queryRunner.query(`ALTER TABLE "meta" ADD COLUMN IF NOT EXISTS "twitterConsumerSecret" character varying(128)`);
    }
}
